{
    attributes = (
        {
            columnName = UTI_NUMERO; 
            externalType = NUMBER; 
            name = utiNumero; 
            precision = 38; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = UTI_PHOTO; 
            externalType = NUMBER; 
            name = utiPhoto; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = UTI_USERNAME; 
            externalType = VARCHAR2; 
            name = utiUsername; 
            valueClassName = NSString; 
            width = 20; 
        }, 
        {
            definition = "LOWER(UTI_USERNAME)"; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = "LOWER(UTI_USERNAME)"; }; 
            name = utiUsernameLower; 
            valueClassName = NSString; 
            width = 20; 
        }
    ); 
    attributesUsedForLocking = (utiNumero); 
    className = EOGenericRecord; 
    classProperties = (utiNumero, utiUsername, utiPhoto, utiUsernameLower); 
    externalName = UTILISATEUR; 
    fetchSpecificationDictionary = {}; 
    name = Utilisateur; 
    primaryKeyAttributes = (utiNumero); 
}
